use iced::Event;

pub struct TaskData {
    pub(crate) checked: bool,
    pub(crate) value: String,
    pub(crate) edit: bool,
    pub(crate) can_update: bool,
    pub(crate) can_delete: bool,
}

pub struct Todo {
    pub(crate) new_task: String,
    pub(crate) updated_task: String,
    pub(crate) tasks: Vec<TaskData>,
    pub(crate) completed_tasks: usize,
    pub(crate) local_storage: bool,
}

#[derive(Debug, Clone)]
pub enum Message {
    AddTask,
    CheckTask(bool, usize),
    EditTask(usize),
    DeleteTask(usize),
    DeleteAll,
    ContentUpdated(bool, String),
    Event(Event),
    TaskPush(Option<usize>),
    StorageToggle(bool),
}